Name:		valkey
Version:	8.0.0
Release:	1
Summary:	key-value datastore
URL:		https://valkey.io
Source0:	https://github.com/valkey-io/valkey/archive/%{version}/%{name}-%{version}.tar.gz
License:	BSD
Group:		Databases
BuildRequires:	gcc
BuildRequires:	tcl >= 8.5
BuildRequires:	procps-ng
BuildRequires:	pkgconfig(openssl3.3)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(jemalloc)
BuildRequires:	pkgconfig(lua)
Provides:	valkey-benchmark
Provides:	valkey-check-aof
Provides:	valkey-check-rdb@
Provides:	valkey-cli
Provides:	valkey-sentinel
Provides:	valkey-server


%description
This project was forked from the open source Redis project
right before the transition to their new source available
licenses.

Valkey is a high-performance data structure server that 
primarily serves key/value workloads. It supports a wide 
range of native structures and an extensible plugin 
system for adding new data structures and access patterns.

%prep
%setup -q

%build
%make \
      USE_SYSTEMD=yes \
      PREFIX=%{_prefix} \
      OPENSSL_PREFIX=/opt/openssl3.3 \
      MALLOC=jemalloc

%install
%make PREFIX=%{buildroot}%{_prefix} install

# remove redis links
rm -f %{buildroot}%{_bindir}/redis*


%check
%make test


%files
%doc README.md COPYING
%{_bindir}/%{name}*



